@font-face {
    font-family: 'Scheherazade WF';
    src: url('../../shared/webfonts/scheherazadenew-regular-webfont.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
	}
@font-face {
    font-family: 'Noto Nastaliq Urdu WF';
    src: url('../../shared/webfonts/notonastaliqurdu-regular-webfont.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
	}


[lang=ar], [lang=fa] { font-family: 'Scheherazade WF', serif; font-size: 200%; }
[lang=ur] { font-family: 'Noto Nastaliq Urdu WF', serif; font-size: 150%;  }

.rb { font-family: 'Scheherazade WF'; }




#freeText {
	font-size: 36px;
	font-family: 'Scheherazade WF', serif;
	text-align: right;
	line-height: 1.4;
	}
@media print { #freeText { font-size: 24px; } }



/* Examples */
.charExample .ex {
    font-size:200%;
    line-height: 1.2;
    }
.charExample.inline .ex {
    font-size: 140%;
    }
/* see also map tweaks */


/* CharacterBox panels */
.listItem[lang] {
    line-height: 2;
	}


/* Vowel examples in right column
.vowelSignExample bdi {
    font-size:300%;
    line-height:.6;
    } */

/* Map tweaks */
.map .charExample .ex {
    font-size: 1.6rem;
    }
.map_row {
	min-height: 2rem;
	line-height: 1.4;
	}
.mapItem .ipa {
    line-height: 2;
    }
.mapItem .posn {
	min-width: 3rem;
	}

#consonant_mappings .mapItem .posn { display: none; }


.shaping bdi {
    margin-inline: .5rem;
    }
.mapItem .shaping .codepoint bdi[lang] {
	font-size: 1.6rem;
	}


.counter_style_comp { border-collapse: collapse; }
.counter_style_comp th { border: 0; line-height: 1; text-align:  start; }
.counter_style_comp td { border-color: #eee; }

.hamzaTable { margin-inline-end: 0; }
.hamzaTable span.charExample { margin-inline-start: 0; }
.hamzaTable tbody th { min-width: 4rem; }


figure#vowel_grid {
    margin-inline: 5rem;
    }
#vowel_grid, #vowel_grid2 { margin:0; border-collapse: collapse; }
#vowel_grid td, #vowel_grid2 td { vertical-align: top; border: 0; padding-block: 1rem; line-height: 3rem;  white-space: nowrap; }
#vowel_grid td span, #vowel_grid2 td span {text-align: start; border: 0; padding-left: .5em; font-size: 2.4rem; }

#vowel_grid td .ipa, #vowel_grid2 td .ipa {
    color: black;
    font-size: 1.6rem;
    font-style: normal;
    }
#vowel_grid tr, #vowel_grid2 tr { border-block: 1px solid #ddd; }



#no_diacritics th { vertical-align: top; line-height: 1; }
#no_diacritics td { vertical-align: middle; }


.sequenceTable.breakdown  {
    margin-block-start: -1rem;
    }





